<template>
    <section class="about">
        <div class="container">
            <Subtitle text="About Me" />
            <div class="grid grid--2">
                <p class="test">Hello! My name is Damian, 22 years old front-end developer from Poland with 2 years of experience building and maintaining responsive websites. Proficient in HTML, CSS, JavaScript; plus modern libraries and frameworks.</p>

                <div class="skills-wrapper">
                    <ul class="about-skills">
                        <li 
                        v-for="skill in skills" 
                        :key="skill" class="about-skills__item">
                            {{ skill }}
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </section>
</template>

<script>
import Subtitle from './Subtitle.vue'
import gsap from 'gsap'
import { ScrollTrigger } from 'gsap/ScrollTrigger';

export default {
    components: { Subtitle },
    data: () => ({
        skills: [
            'HTML5', 
            'CSS3', 
            'SCSS', 
            'JavaScript', 
            'Vue.js', 
            'React.js', 
            'Next.js', 
            'Nuxt.js', 
            'Vuetify', 
            'Bootstrap', 
            'Bulma', 
            'GSAP',
            'GIT'
        ],
    }),
    methods: {
        animation() {
            gsap.registerPlugin(ScrollTrigger);

            gsap.fromTo(".about .subtitle-line", 
                {width: 0}, 
                {width: 60, duration: 1, scrollTrigger: {
                    trigger: '.about',
                    start: 'top 75%',
                }}
            );

            gsap.fromTo(".about .subtitle", 
                {opacity: 0}, 
                {opacity: 1, duration: 1, scrollTrigger: {
                    trigger: '.about',
                    start: 'top 75%',
                }}
            );
        },
    },
    mounted() {
        this.animation();
    }
}
</script>

<style scoped>
.about {
    background-color: #13161F;
    padding: 40px 0;
}
.about-skills {
    list-style: none;
}
.about-skills__item {
    display: inline-block;
    color: var(--color-primary);
    font-size: 13px;
    font-weight: 500;
    padding: 7px 16px;
    margin: 8px;
    border: 2px solid var(--color-primary);
    border-radius: 8px;
}

@media screen and (min-width: 768px) {
    .about {
        padding: 60px 0;
    }
}

@media screen and (min-width: 1200px) {
    .about {
        padding: 120px 0;
    }
}
</style>